--- slim-1.3.5/app.cpp
+++ slim-1.3.5/app.cpp

Link forgotten header.
@@ -25,6 +25,7 @@
 #include "app.h"
 #include "numlock.h"
 #include "util.h"
+#include <X11/Xmu/WinUtil.h>
 
 #ifdef HAVE_SHADOW
 #include <shadow.h>

Option not to enter root's password if special command was given in the
login field (suspend, halt or reboot).
@@ -437,6 +438,11 @@
 			case Panel::Console:
 				logStream << APPNAME << ": Got a special command (" << LoginPanel->GetName() << ")" << endl;
 				return true; /* <--- This is simply fake! */
+			case Panel::Suspend:
+			case Panel::Halt:
+			case Panel::Reboot:
+				if (cfg->getOption("root_password") == "false")
+					return true;
 			default:
 				break;
 		}


--- slim-1.3.5/cfg.cpp
+++ slim-1.3.5/cfg.cpp

Change default settings for SliTaz.
@@ -28,34 +28,35 @@
 	: currentSession(-1)
 {
 	/* Configuration options */
-	options.insert(option("default_path","/bin:/usr/bin:/usr/local/bin"));
-	options.insert(option("default_xserver","/usr/bin/X"));
+	options.insert(option("default_path","/sbin:/bin:/usr/sbin:/usr/bin"));
+	options.insert(option("default_xserver","/usr/bin/Xorg"));
 	options.insert(option("xserver_arguments",""));
 	options.insert(option("numlock",""));
 	options.insert(option("daemon",""));
 	options.insert(option("xauth_path","/usr/bin/xauth"));
-	options.insert(option("login_cmd","exec /bin/bash -login ~/.xinitrc %session"));
-	options.insert(option("halt_cmd","/sbin/shutdown -h now"));
-	options.insert(option("reboot_cmd","/sbin/shutdown -r now"));
+	options.insert(option("login_cmd","exec /bin/sh -l ~/.xinitrc %session"));
+	options.insert(option("halt_cmd","/sbin/poweroff"));
+	options.insert(option("reboot_cmd","/sbin/reboot"));
+	options.insert(option("root_password","true"));
 	options.insert(option("suspend_cmd",""));
 	options.insert(option("sessionstart_cmd",""));
 	options.insert(option("sessionstop_cmd",""));
-	options.insert(option("console_cmd","/usr/bin/xterm -C -fg white -bg black +sb -g %dx%d+%d+%d -fn %dx%d -T ""Console login"" -e /bin/sh -c ""/bin/cat /etc/issue; exec /bin/login"""));
-	options.insert(option("screenshot_cmd","import -window root /slim.png"));
+	options.insert(option("console_cmd","/usr/bin/xterm -C -fg white -bg black +sb -T ""Console login"" -e /bin/sh -l -c ""exec /bin/login"""));
+	options.insert(option("screenshot_cmd","mtpaint -s /root/slim-shot.png"));
 	options.insert(option("welcome_msg","Welcome to %host"));
 	options.insert(option("session_msg","Session:"));
-	options.insert(option("default_user",""));
+	options.insert(option("default_user","tux"));
 	options.insert(option("focus_password","no"));
 	options.insert(option("auto_login","no"));
-	options.insert(option("current_theme","default"));
-	options.insert(option("lockfile","/var/run/slim.lock"));
+	options.insert(option("current_theme","slitaz,base"));
+	options.insert(option("lockfile","/var/lock/slim.lock"));
 	options.insert(option("logfile","/var/log/slim.log"));
 	options.insert(option("authfile","/var/run/slim.auth"));
-	options.insert(option("shutdown_msg","The system is halting..."));
+	options.insert(option("shutdown_msg","The system is going down..."));
 	options.insert(option("reboot_msg","The system is rebooting..."));
-	options.insert(option("sessions","wmaker,blackbox,icewm"));
+	options.insert(option("sessions","openbox,e17,jwm"));
 	options.insert(option("sessiondir",""));
-	options.insert(option("hidecursor","false"));
+	options.insert(option("hidecursor","true"));
 
 	/* Theme stuff */
 	options.insert(option("input_panel_x","50%"));


--- slim-1.3.5/slim.conf.original
+++ slim-1.3.5/slim.conf

Change default settings for SliTaz too.
@@ -1,13 +1,16 @@
+# /etc/slim.conf: Slim LogIn Manger configuration file
+#
+
 # Path, X server and arguments (if needed)
 # Note: -xauth $authfile is automatically appended
-default_path        /bin:/usr/bin:/usr/local/bin
-default_xserver     /usr/bin/X
+default_path        ./:/bin:/usr/bin:/usr/local/bin
+default_xserver     /usr/bin/Xorg
 #xserver_arguments   -dpi 75
 
 # Commands for halt, login, etc.
-halt_cmd            /sbin/shutdown -h now
-reboot_cmd          /sbin/shutdown -r now
-console_cmd         /usr/bin/xterm -C -fg white -bg black +sb -T "Console login" -e /bin/sh -c "/bin/cat /etc/issue; exec /bin/login"
+halt_cmd            /sbin/poweroff
+reboot_cmd          /sbin/reboot
+console_cmd         /usr/bin/xterm -C -fg white -bg black +sb -T "Console login" -e /bin/sh -l -c "exec /bin/login"
 #suspend_cmd        /usr/sbin/suspend
 
 # Full path to the xauth binary
@@ -22,7 +25,7 @@
 
 # Hide the mouse cursor (note: does not work with some WMs).
 # Valid values: true|false
-# hidecursor          false
+hidecursor          true
 
 # This command is executed after a succesful login.
 # you can place the %session and %theme variables
@@ -33,7 +36,7 @@
 # to adjust the command according to your preferred shell,
 # i.e. for freebsd use:
 # login_cmd           exec /bin/sh - ~/.xinitrc %session
-login_cmd           exec /bin/bash -login ~/.xinitrc %session
+login_cmd           exec /bin/sh -l ~/.xinitrc %session
 
 # Commands executed when starting and exiting a session.
 # They can be used for registering a X11 session with
@@ -51,10 +54,10 @@
 # The current chosen session name is replaced in the login_cmd
 # above, so your login command can handle different sessions.
 # see the xinitrc.sample file shipped with slim sources
-sessions            xfce4,icewm-session,wmaker,blackbox
+sessions            openbox,e17,jwm
 
 # Executed when pressing F11 (requires imagemagick)
-screenshot_cmd      import -window root /slim.png
+#screenshot_cmd      mtpaint -s /root/slim-shot.png
 
 # welcome message. Available variables: %host, %domain
 welcome_msg         Welcome to %host
@@ -63,12 +66,12 @@
 # session_msg         Session: 
 
 # shutdown / reboot messages
-shutdown_msg       The system is halting...
+shutdown_msg       The system is going down...
 reboot_msg         The system is rebooting...
 
 # default user, leave blank or remove this line
 # for avoid pre-loading the username.
-#default_user        simone
+default_user        tux
 
 # Focus the password field on start when default_user is set
 # Set to "yes" to enable this feature
@@ -81,10 +84,10 @@
 
 # current theme, use comma separated list to specify a set to 
 # randomly choose from
-current_theme       default
+current_theme       slitaz,base
 
 # Lock file
-lockfile            /var/run/slim.lock
+lockfile            /var/lock/slim.lock
 
 # Log file
 logfile             /var/log/slim.log
